
TYPO3.TypoScript - Feature # 38091

Status: Resolved Priority: Should have
Author: Rens Admiraal Category:
Created: 2012-06-15 Assigned To:
Updated: 2012-06-16 Due date:
Subject: Introduce debugMode setting
Description

By default all output of TypoScript Runtime rendering is wrapped by HTML comments. This triggers quirks mode in Internet Explorer
basically breaking the layout of current conference and demo sites.

Associated revisions
Revision 868720ed - 2012-06-15 23:01 - Rens Admiraal

[BUGFIX] Add Debug mode to TypoScript rendering

This change introduces a debugMode setting for TypoScript rendering.
Disabling this by default prevents rendering of HTML comments around
all elements including the <html> tag. The result is an HTML comment
before the doctype declaration which causes Internet Explorer to
switch to quirks mode.

Change-Id: Iec9fdd33920cbf8f082c818e73c5eb9bc53fa8b8
Resolves: #38091

History
#1 - 2012-06-15 16:41 - Rens Admiraal

Thanks to Henjo Hoeksma for finding

#2 - 2012-06-15 16:47 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12097

#3 - 2012-06-15 23:01 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12097

#4 - 2012-06-16 08:37 - Rens Admiraal
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:868720ed167382ab781716f37427676015923cda.
